Welcome!

Sign in with your CogSci, Facebook, Google, or Twitter account.

Or register to create a new account.

We'll use your information only for signing in to this forum.

Supported by

Eye Tribe Calibration Problem

Hello community,

I am using Eye Tribe with OpenSesame but since I'm not a programmer I am using OpenSesame's own plugins. The Init plugin appears to be causing a problem. Whenever I run the experiment and "press space for calibration", I see the firs calibration dot, then the experiment stops and I get this error message;

item-stack: experiment[run].new_pygaze_init_1[run]
exception message: 'NoneType' object has no attribute '__getitem__'
time: Fri Oct 27 14:56:12 2017
exception type: TypeError      

File "dist\libqtopensesame\misc\process.py", line 140, in run
File "dist\libopensesame\experiment.py", line 397, in run
File "dist\libopensesame\item_store.py", line 95, in execute
File "dist\libopensesame\item_store.py", line 110, in run
File "dist\libopensesame\sequence.py", line 50, in run
File "dist\libopensesame\item_store.py", line 110, in run
File "C:\Program Files (x86)\OpenSesame\plugins\pygaze_init\pygaze_init.py", line 212, in run
File "dist\pygaze\_eyetracker\libeyetribe.py", line 208, in calibrate
File "dist\pygaze\_eyetracker\pytribe.py", line 1236, in pointend
TypeError: 'NoneType' object has no attribute '__getitem__'

This error persisted no matter what I tried, I'm not adding the experiment here but in fact the same issue occurs when I try running the Pygaze eye-tracking template in OpenSesame as well.

The eye tracker appears to work fine, I can calibrate it with Eye Tribe's own UI.

Does anyone know what might be causing this or how I can solve it?

Regards,
Yasemin.

Comments

  • sebastiaansebastiaan Posts: 2,813

    Hi Yasemin,

    Do you have the latest version of OpenSesame? That's 3.1.9 at the time of writing. This error looks familiar to me, and I think it was fixed in one of the recent maintenance releases.

    Cheers,
    Sebastiaan

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • Hello again,

    thank you for the response. Upgrading OpenSesame to the latest version indeed solved my problem.

    Cheers.

Sign In or Register to comment.